<?php

include_once(realpath(dirname(__FILE__)) . "/config.php");

//call a appeler, ici UpdateOrders
define('CALLU', 'UpdateOrders');


function callWSUpdate($xml){
    
	//url du web service
    $service_url = 'https://clients.shopping-flux.com/webservice/';
    
	//encapsule les données dans un tableau
    $curl_post_data = array(
        'TOKEN' => TOKEN, 
        'CALL' => CALLU, 
        'MODE'=> MODEUPDDATE,
		'REQUEST' => $xml
        );

    $curl = curl_init();
    curl_setopt($curl, CURLOPT_URL, $service_url);
    curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($curl, CURLOPT_HEADER, false);
    curl_setopt($curl, CURLOPT_POST, true);
    curl_setopt($curl, CURLOPT_POSTFIELDS, $curl_post_data);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    $curl_response = curl_exec($curl);
    curl_close($curl);
    
    return $curl_response;
}

function parseXMLValidUpdate($in)
	{
		
		$valid= true;
				
		$xml = simplexml_load_string($in);
		$xmlResponseNode =  $xml->Response;
		
		//on vérifie que le node RESPONSE existe
		if($xmlResponseNode != null)
		{
			$xmlOrdersNode = $xmlResponseNode->Orders;
		
			if($xmlOrdersNode != null)
			{
				foreach($xmlOrdersNode->children() as $order)
				{
					// si il y a eu un problème dans le fichier, alors on le notifie
					if( (bool)$order->StatusUpdated == "False")
                        $valid = false;
				}
			}
		}
		
		return $valid;
	}

function traitementUpdate($commande, $market)
{
	$xml  = '<?xml version="1.0" encoding="UTF-8"?>';
	$xml .= '<UpdateOrders>';
	$xml .= '<Order>';
	$xml .= '<IdOrder>'.$commande.'</IdOrder>';
	$xml .= '<Marketplace>'.$market.'</Marketplace>';
	$xml .= '<Status>Shipped</Status>';
	$xml .= '</Order>';
	$xml .= '</UpdateOrders>';
	
	// un certain nombre d'essais
	for($i=0;$i<10;$i++)
	{

		$resp = callWSUpdate($xml);
		
		if(parseXMLValidUpdate($resp)) {
            break;
        }

	}

	
}

?>
